com.github.lgooddatepicker.zinternaltools

## Class TranslationSource

- java.lang.Object
- - com.github.lgooddatepicker.zinternaltools.TranslationSource

    public class TranslationSource
    extends Object

TranslationSource, This class has static functions that are used to provide translations of text in the date pickers. This class accesses the "TranslationResources.properties" file to get its translations.

### Constructor Summary

Constructors
Constructor and Description
`TranslationSource()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getTranslation(Locale locale, String key, String defaultText)` getTranslation, This returns a local language translation for the text that is represented by the specified key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TranslationSource

    public TranslationSource()

### Method Detail

#### getTranslation

    public static String getTranslation(Locale locale,
                                        String key,
                                        String defaultText)

getTranslation, This returns a local language translation for the text that is represented by the specified key. The supplied locale is used to indicate the desired language. If a translation cannot be found, then the default text will be returned instead.